import { request } from '@/api/http.js'

export async function artworkList(data) {
    return await request( {
        url:'/api/v1/m/auction/default/artwork/list',
        method: 'POST',
        data
    })
}
export async function defaultDetail(data) {
    return await request ({
        url:'/api/v1/m/auction/default/detail',
        method: 'POST',
       data
    })
}
export async function artworkDetail(data) {

    return await request( {
        url:'/api/v1/m/artwork/detail',
        method: 'POST',
    data,
    })
}
export async function userArtworks(data) {

    return await request( {
        url:'/api/v1/m/user/artworks',
        method: 'POST',
        data
    })
}
export async function userArtwork(data) {

    return await request( {
        url:'/api/v1/m/user/artwork',
        method: 'POST',
        data
    })
}
export async function artworkBuy(data) {

    return await request( {
        url:'/api/v1/m/artwork/buy',
        method: 'POST',
        data
    })
}
export async function logSendlog(data) {

    return await request( {
        url:'/api/v1/m/auction/log/sendlog',
        method: 'POST',
        data
    })
}
export async function signOnline(data) {

    return await request( {
        url:'/api/v1/contract/sign-online',
        method: 'POST',
        data
    })
}
export async function signOffline(data) {

    return await request( {
        url:'/api/v1/contract/sign-offline',
        method: 'POST',
        data
    })
}
export async function fddCheck(data) {

    return await request( {
        url:'/api/v1/m/user/fdd/check',
        method: 'POST',
        data
    })
}
export async function createBuyOrder(data) {

    return await request( {
        url:'/api/v1/m/auction/createBuyOrder/v2',
        method: 'POST',
        data
    })
}
export async function orderQuery(data) {

    return await request( {
        url:'/api/v1/payment/order/query',
        method: 'POST',
        data
    })
} 
export async function contractView(data) {

    return await request( {
        url:'/api/v1/contract/contract-view',
        method: 'POST',
        data
    })
}
export async function contractViewOnline(data) {

    return await request( {
        url:'/api/v1/contract/contract-view-online',
        method: 'POST',
        data
    })
}
export async function createBuyOrderV3(data) {

    return await request( {
        url:'/api/v1/m/auction/createBuyOrder/v3',
        method: 'POST',
        data
    })
}