import { createGlobalState,useLocalStorage } from '@vueuse/core'
import { WebSocketClient } from '@/utils/websocket'
import {message} from "~/components/x-message/useMessage.js";

export const authStore = createGlobalState(() => {
    const token=useLocalStorage('token','')
    const RefreshToken=useLocalStorage('RefreshToken','')
    const userInfo=useLocalStorage('userInfo',{})
    const fingerprint=useLocalStorage('fingerprint','')
    const checkoutSessionUrl=useLocalStorage('checkoutSessionUrl','')
    const selectedZone=useLocalStorage('selectedZone','')
    const payment=useLocalStorage('payment',{
        leftPrice:'',
        leftCurrency:'',
        buyUid:'',
        auctionArtworkUuid:'',
        payUid:'',
        nickName:''
    })
const payUid=useLocalStorage('payUid','')
    return{
        payUid,
        selectedZone,
        payment,
        checkoutSessionUrl,
        userInfo,
        RefreshToken,
        token,
        fingerprint
    }
})